<!doctype html>
<html>

<head>
  <%- include('partials/page-head.ejs') %>
  <meta property="og:title" content="<%=data.title%>"/>
  <meta property="og:type" content="music.song"/>
  <meta property="og:url" content="<%=data.audioUrl%>"/>
  <meta property="og:image" content="<%=data.image%>"/>
  <meta property="og:site_name" content="Musicoin"/>
  <meta property="fb:app_id" content="<%=process.env.FACEBOOK_CLIENT_ID%>"/>
  <meta property="music:musician" content="<%=data.artistProfileAddress%>">
  <style>
    @font-face {
      font-family: Ubuntu;
      src: url('../fonts/Ubuntu-Regular.ttf');
    }
    @font-face {
      font-family: Ubuntu;
      src: url('../fonts/Ubuntu-R.ttf');
    }
  </style>
  <link rel="stylesheet" type="text/css" href="/styles/player.css">
  <link rel="stylesheet" type="text/css" href="/styles/embedded-player.css">
</head>

<body>
	<div id="embedded-player-main" class="embedded-player">
		<%- include('partials/embedded-player.ejs') %>
	</div>

    <script type="text/javascript" src="/js/player.js"></script>
    <script>
      $(document).ready(function() {
        var audioPlayer = musicoin.audioPlayer;
        audioPlayer.initialize({embedded: true, autoQueue: 'true', onReady: function onReady() {
          if(audioPlayer.autoQueue) {
            audioPlayer.queueTrack('<%=address%>');
          }
        }});
      });
    </script>
</body>

</html>
